Subject: Re: [PATCH] powerpc/eeh: Fix PE location code

From: Stewart Smith <[email-masked]>
Date: Thu, 21 Jan 2016 16:59:17 +1100

Sam Mendoza-Jonas <[email-masked]> writes:
> On Wed, Jan 20, 2016 at 02:56:13PM +1100, Russell Currey wrote:
>> On Wed, 2015-12-02 at 16:25 +1100, Gavin Shan wrote:
>> > In eeh_pe_loc_get(), the PE location code is retrieved from the
>> > "ibm,loc-code" property of the device node for the bridge of the
>> > PE's primary bus. It's not correct because the property indicates
>> > the parent PE's location code.
>> > 
>> > This reads the correct PE location code from "ibm,io-base-loc-code"
>> > or "ibm,slot-location-code" property of PE parent bus's device node.
>> > 
>> > Signed-off-by: Gavin Shan <[email-masked]>
>> > ---
>> 
>> Tested-by: Russell Currey <[email-masked]>
>
> Thanks Russell!
>
> W.R.T including this in stable, I don't believe anything actively breaks
> without the patch, but in the event of an EEH freeze the wrong slot for
> the device will be identified, making troubleshooting more difficult.

As someone who's likely going to have to deal with the bug reports for
such things, I like the idea of this going to stable as *maybe* I'll get
fewer of them that I have to close pointing to this commit...

-- 
Stewart Smith
OPAL Architect, IBM.